%define	name	reisersmtp
%define	version	0.2.8
%define	release	3mdk
%define qdir	/var/qmail

Summary:	ReiserSMTP is a peformance enhancing add-on to qmail
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
URL:		http://www.jedi.claranet.fr/reisersmtp/reisersmtp.html
Source:		%{name}-%{version}.tar.bz2
Requires:	qmail
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
ReiserSMTP is a re-write of parts of qmail to make it more flexible, more
ReiserFS friendly, and a lot faster.  ReiserSMTP's queue format tries to
avoid fsync() and multiple files in order to speed up disk I/O, especially
with ReiserFS.  It was designed with strong security in mind, and even
experimental versions should have no buffer overflows nor simple Denial of
Service vulnerabilities.

Using ReiserSMTP to replace parts of qmail's delivery mechanism negates any
reliability or security expressed by the author of qmail.  It comes with no
warranty, and you cannot claim you are using qmail, but rather
"qmail+ReiserSMTP".

%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%setup -q

%build
export CFLAGS="%{optflags} -DQMAIL_INST_PATH=\"%{qdir}\""
%configure
%make

%install
install -d %{buildroot}%{qdir}/bin
install -m 755 src/lmail-send %{buildroot}%{qdir}/bin
install -m 755 src/lmail-smtpd %{buildroot}%{qdir}/bin

#%post
#update-alternatives --install %{qdir}/bin/qmail-smtpd qmail-smtpd %{qdir}/bin/lmail-smtpd 50
#%_post_service qmail

#%preun
#%_preun_service qmail


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf %{_builddir}/%{name}-%{version}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog TODO
%{qdir}/bin/lmail-send
%{qdir}/bin/lmail-smtpd

%changelog
* Fri Nov 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 0.2.8-3mdk
- give a proper group
- fix summary to be more appropriate
- make the description more verbose so we know what this actually does
- some spec cleanups
- fix requires
- install in the proper location (/var/qmail/bin)
- include more docs
- use --enable-qmsend-compat
- think about using update-alternatives since essentially we are replacing
  the qmail smtpd and delivery mechanism (not enabled yet)

* Wed Nov 28 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.8-2mdk
- initial cooker contrib.

* Sat Feb 17 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.8-1mdk
- mandrakified original package by Jedi/Sector One <j@4u.net>
